<?php

namespace Connect;


use Config\Connection;
use PDOException;

require_once __DIR__ ."/Connection.php";

class ConnectClass{

    function connect(): int|Connection
    {

        $dsn = "mysql:host=".$_ENV["HOST"].";dbname=".$_ENV["DATABASE"].";";
        $login = $_ENV["USER"];
        $password = $_ENV["PASSWORD"];

        try {

            $connection = new Connection($dsn,$login,$password);

        }catch (PDOException){

            http_response_code(404);
            return http_response_code();
        }
        return $connection;
    }


}
